Subject: bug#13521: `sort-lines' on the empty region

From: Stefan Monnier <[email-masked]>
Date: Tue, 22 Jan 2013 09:59:51 -0500

> The current behavior of `sort-lines' on the empty region is to do
> nothing.

I think that's the right thing to do.

> I often find that I want to sort whole buffers at the time,
> and I expect `sort-lines' to do just that, before remembering I have
> to mark the whole buffer first.

That seems to be considering a different case: not the case of an empty
region, but the case where there's no active region.
Currently, this case signals an error, but I think I agree it makes
sense to let it apply to the whole buffer if there is no active region.

        Stefan